package com.gyee.frame.service.yaw;

import com.gyee.frame.model.custom.YawValuesVo;
import com.gyee.frame.model.custom.YawVo;
import com.gyee.frame.service.WindturbinepoweryawService;
import com.gyee.frame.service.WindturbinewindyawService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Date;
import java.util.List;


@Service
public class YawService  {
    @Resource
    private WindturbinepoweryawService windturbinepoweryawService;
    @Resource
    private WindturbinewindyawService windturbinewindyawService;

    public List<YawVo> getYawPowerTotal(String wtId, Date beginDate, Date endDate)
    {
        return windturbinepoweryawService.getYawTotal(wtId, beginDate, endDate);
    }

    public List<YawValuesVo> getYawValuesPowerTotal(String wtId, Date beginDate, Date endDate, Integer value)
    {
        return windturbinepoweryawService.getYawValuesTotal(wtId, beginDate, endDate,value);
    }

    public List<YawVo> getYawSpeedTotal(String wtId, Date beginDate, Date endDate)
    {
        return windturbinewindyawService.getYawTotal(wtId, beginDate, endDate);
    }

    public List<YawValuesVo> getYawValuesSpeedTotal(String wtId, Date beginDate, Date endDate, Integer value)
    {
        return windturbinewindyawService.getYawValuesTotal(wtId, beginDate, endDate,value);
    }


    public List<YawValuesVo> getYawValuesSpeedTotalAll(String wtId, Date beginDate, Date endDate)
    {
        return windturbinewindyawService.getYawValuesTotalAll(wtId, beginDate, endDate);
    }

    public List<YawValuesVo> getYawValuesPowerTotalAll(String wtId, Date beginDate, Date endDate)
    {
        return windturbinepoweryawService.getYawValuesTotalAll(wtId, beginDate, endDate);
    }
}
